# BEGIN SourceDeps(oneline):
BuildRequires: perl(Convert/Bencode.pm) perl(Digest/SHA1.pm) perl(Exporter.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.02-fix
%define module_name Net-BitTorrent-File
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.02_fix
Release: alt1
Summary: Object for manipulating .torrent files
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/O/OR/ORCLEV/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module handles loading and saveing of .torrent files as well as
providing a convenient way to store torrent file info in memory.
Most users of the module will most likely just call the new method
with the name of a existing torrent file and use the data from that.


%prep
%setup -n %module_name-1.02

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Todo Changes
%perl_vendor_privlib/N*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.02_fix-alt1
- initial import by package builder

